/************************* ipsyslog.h *************************/

/******************************************************************************
 * Copyright (c) 1995,1996 Donated to the public domain                       *
 *                                                                            *
 * Original author and maintainer: Marc Chatel   (mchatel@dial.oleane.com)    *
 * Last known maintainer:          Marc Chatel   (mchatel@dial.oleane.com)    *
 *                                                                            *
 * This file was created as part of the S4 (Secure System Setup Script) kit.  *
 * Permission is granted to any person or entity to do any of the following:  *
 *       a) use this file alone or in some other software                     *
 *       b) modify this file or include parts of this file in other files     *
 *       c) re-distribute this file AS IS or modified, for non-commercial     *
 *          or commercial purposes, alone or as part of some software package *
 *                                                                            *
 * No warranties of any kind, express or implied, on the functionality and    *
 * safety of the contents of this file. Use at your own risk!                 *
 *                                                                            *
 * If you do useful changes to this file (bug fixes, portability fixes,       *
 * enhancements), you should TRY to contact the current maintainer, who may   *
 * be maintaining a "latest greatest" version of the file. You do not HAVE    *
 * TO, but you should TRY. Promote software reuse! It helps everybody,        *
 * including you!                                                             *
 ******************************************************************************/

extern int startup_ip_syslog( char *, int );
/* char *proc_name;
   int   log_facility; */

extern void end_ip_syslog();

extern void begin_ip_syslog( int );
/* int our_prio; */

extern void ip_syslog_str( char * );
/* char *our_str; */

extern void ip_syslog_str_bounded( char *, int );
/* char *our_str;
   int   max_len; */

extern void ip_syslog_int( int );
/* int our_int; */

extern void ip_syslog_hex( int );
/* int our_int; */

extern void ip_syslog_octal( int );
/* int our_int; */

extern void ip_syslog_long( long );
/* long our_long; */

extern void ip_syslog_char( char );
/* char our_char; */

extern void ip_syslog_errmsg();

extern void ip_syslog();
